from fastapi import APIRouter

from app.api.v1.endpoints import auth, bets, events, users, wallet

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(events.router, prefix="/events", tags=["Events"])
api_router.include_router(bets.router, prefix="/bets", tags=["Bets"])
api_router.include_router(wallet.router, prefix="/wallet", tags=["Wallet"])